AdditionalFuncInfo (gCube VRE Deploy Wizard Portlet 3.4.0-SNAPSHOT API)
Date: 2015-11-02

org.gcube.portlets.admin.vredeployer.server

## Class AdditionalFuncInfo

- java.lang.Object
- - org.gcube.portlets.admin.vredeployer.server.AdditionalFuncInfo

-     public class AdditionalFuncInfo
      extends Object

  just a wrapper class
  Author:
    massi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdditionalFuncInfo()`
    `AdditionalFuncInfo(org.gcube.vremanagement.vremodel.cl.stubs.types.GHN[] ghns, org.gcube.vremanagement.vremodel.cl.stubs.types.RunningInstanceMessage[] missingServices, org.gcube.vremanagement.vremodel.cl.stubs.types.RunningInstanceMessage[] foundServices)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.gcube.vremanagement.vremodel.cl.stubs.types.RunningInstanceMessage[]` | `getFoundServices()`
    `org.gcube.vremanagement.vremodel.cl.stubs.types.GHN[]` | `getGhns()`
    `org.gcube.vremanagement.vremodel.cl.stubs.types.RunningInstanceMessage[]` | `getMissingServices()`
    `void` | `setFoundServices(org.gcube.vremanagement.vremodel.cl.stubs.types.RunningInstanceMessage[] foundServices)`
    `void` | `setGhns(org.gcube.vremanagement.vremodel.cl.stubs.types.GHN[] ghns)`
    `void` | `setMissingServices(org.gcube.vremanagement.vremodel.cl.stubs.types.RunningInstanceMessage[] missingServices)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdditionalFuncInfo

          public AdditionalFuncInfo()

    - #### AdditionalFuncInfo

          public AdditionalFuncInfo(org.gcube.vremanagement.vremodel.cl.stubs.types.GHN[] ghns,
                            org.gcube.vremanagement.vremodel.cl.stubs.types.RunningInstanceMessage[] missingServices,
                            org.gcube.vremanagement.vremodel.cl.stubs.types.RunningInstanceMessage[] foundServices)

  - ### Method Detail

    - #### getGhns

          public org.gcube.vremanagement.vremodel.cl.stubs.types.GHN[] getGhns()

    - #### setGhns

          public void setGhns(org.gcube.vremanagement.vremodel.cl.stubs.types.GHN[] ghns)

    - #### getMissingServices

          public org.gcube.vremanagement.vremodel.cl.stubs.types.RunningInstanceMessage[] getMissingServices()

    - #### setMissingServices

          public void setMissingServices(org.gcube.vremanagement.vremodel.cl.stubs.types.RunningInstanceMessage[] missingServices)

    - #### getFoundServices

          public org.gcube.vremanagement.vremodel.cl.stubs.types.RunningInstanceMessage[] getFoundServices()

    - #### setFoundServices

          public void setFoundServices(org.gcube.vremanagement.vremodel.cl.stubs.types.RunningInstanceMessage[] foundServices)

Copyright © 2015. All Rights Reserved.